{
  "schema_version": "1.4.0",
  "id": "GHSA-5x4g-m68v-9h8f",
  "modified": "2022-05-01T18:05:40Z",
  "published": "2022-05-01T18:05:40Z",
  "aliases": [
    "CVE-2007-2645"
  ],
  "details": "Integer overflow in the exif_data_load_data_entry function in exif-data.c in libexif before 0.6.14 allows user-assisted remote attackers to cause a denial of service (crash) or possibly execute arbitrary code via crafted EXIF data, involving the (1) doff or (2) s variable.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-2645"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/34233"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-1431"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/35978"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25235"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25540"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25569"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25599"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25621"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25932"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26083"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28776"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200706-01.xml"
    },
    {
      "type": "WEB",
      "url": "http://sourceforge.net/project/shownotes.php?release_id=507447"
    },
    {
      "type": "WEB",
      "url": "http://sourceforge.net/tracker/index.php?func=detail&aid=1716196&group_id=12272&atid=112272"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2008/dsa-1487"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:118"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2007_14_sr.html"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2007_39_libexif.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/470502/100/100/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/23927"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-471-1"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/1761"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-05-14T21:19:00Z"
  }
}